On 11/11/14 10:53, Jiri Tomasek wrote:
> Hey,
> 
> Thanks for writing this up!

>> The Storyboard project has successfully integrated these tools into
>> the OpenStack CI environment.

OpenStack CI and distributors are different, because OpenStack CI does
not distribute software.

> 
> Using javascript tooling (yeoman, grunt, bower, etc.) has this issue of
> being dependent on nodejs which if I recall correctly is causing
> problems for packagers as some versions of these tools require different
> nodejs versions - please Mathias correct me if I am wrong. I know this
> discussion has been here before, but using these tools is necessary for
> effective development. So we need to resolve the problem asap.
> Storyboard does not have this issue as it is infra thing.

As far as I know, those tools don't require different nodejs versions.
But: we can not have different node.js versions installed at the same
time. I assume, this is true for all distributions. Creating and
maintaining parallel installable versions just sucks and causes many issues.

In the past, customers wanted the complete tool-chain to modify their
version of dashboard. I understand, this is not an issue, for all
companies not distributing software, but directly providing services
based on that software.

I will have to go through all dependencies and do a review, if those are
acceptable for inclusion e.g in Fedora. The same is true for Thomas
Goirand for inclusion in Debian.

> 
> Petr Belanyi has added optional jshint install for js linting into
> Horizon and it installs nodejs as it depends on it. Could this approach
> work for our need of js tooling too? [1]

Sigh, this nonsense doesn't go away? This is the third time the same
issue comes up.

jshint is NOT free software.

https://github.com/jshint/jshint/blob/master/src/jshint.js#L19

Matthias


_______________________________________________
OpenStack-dev mailing list
OpenStack-dev@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to